# Abstract Submission Processes Abstract Submission Processes ## Gets all of the abstract submission processes in the system. - [GET /abstractSubmissionProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-submission-processes/listabstractsubmissionprocesses.md): This method will scan all abstract submission processes and and return them to the caller. ## Creates a new abstract submission process record that does not already exist. - [POST /abstractSubmissionProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-submission-processes/createabstractsubmissionprocess.md): This method will auto-generate an ID and create a new abstract submission process. If an ID is specified for the abstract submission process, an error will be thrown. ## Execute Batch Operations - [POST /abstractSubmissionProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-submission-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified event_id - [GET /abstractSubmissionProcesses/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-submission-processes/listprocessesbyeventid.md): Returns a list of records with the specified event_id ## Returns a abstract submission process from the system by its ID. - [DELETE /abstractSubmissionProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-submission-processes/deleteabstractsubmissionprocess.md): This method will delete a abstract submission process with the specified ID. ## Returns a abstract submission process from the system by its ID. - [GET /abstractSubmissionProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-submission-processes/getabstractsubmissionprocess.md): This method will look up a abstract submission process by the specified ID and return it back. ## Partially updates a abstract submission process with the specified ID. - [PATCH /abstractSubmissionProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-submission-processes/patchabstractsubmissionprocess.md): This method will patch an existing abstract submission process with the specified ID, using the HTTP PATCH specification. ## Updates a abstract submission process with the specified ID. - [PUT /abstractSubmissionProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-submission-processes/updateabstractsubmissionprocess.md): This method will update an existing abstract submission process with the specified ID.